## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Build doc by default
%bcond_without doc

%global srcname django-extensions
%global modname django_extensions

Name:           python-%{srcname}
Version:        4.1
Release:        %autorelease
Summary:        Extensions for Django

License:        GPL-3.0-or-later
URL:            https://github.com/django-extensions/django-extensions
# PyPI tarball doesn't contain some requirements files
# Source0:        %%{pypi_source %%{srcname}}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:	make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%if %{with doc}
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-sphinx_rtd_theme
BuildRequires:  make
%endif

%global _description %{expand:
Django Extensions is a collection of custom extensions for the Django
Framework.}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%package -n python%{python3_pkgversion}-%{srcname}-doc
Summary:        Documentation for %{srcname}
Suggests:       python%{python3_pkgversion}-%{srcname} = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname}-doc %{_description}
This package contains the documentation for %{srcname}.


%prep
%autosetup -p1 -n %{srcname}-%{version}
# Remove commands incompatible with Python 3.12
%if 0%{?python3_version_nodots} >= 312
# https://github.com/django-extensions/django-extensions/issues/1831
rm django_extensions/management/commands/mail_debug.py
rm tests/management/commands/test_mail_debug.py
# https://github.com/django-extensions/django-extensions/issues/1832
rm django_extensions/management/commands/shell_plus.py
rm -r tests/management/commands/shell_plus_tests/
%endif
# Relax pytest requirement
sed -i 's|pytest<8|pytest|' requirements-dev.txt
# Remove coverage
sed -i /pytest-cov/d requirements-dev.txt
sed -i 's| --cov=.*"|"|' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel

%if %{with doc}
(cd docs && make html)
%endif


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
# tox.ini invokes make invokes pytest
# call directly so we can disable tests that require network
SELECTOR="not PipCheckerTests"
%if 0%{?el9}
# minor differences in generated HTML
# E   - </span><span class="s2">
# E   + </span><span class="w"><span class="s2">
# E   ?              ++++++++++++++++
SELECTOR+=" and not test_should_highlight_bash_syntax_without_name"
%endif
# >       self.assertEqual(with_no_flag, with_flag)
# E       AssertionError: {'cre[21 chars] 18:50', 'cli_options': 'django_extensions tes[39372 chars]}]}]} != {'cre[21 chars] 18:51', 'cli_optio
SELECTOR+=" and not test_graph_models_relation_fields_only"
%pytest -v django_extensions tests \
  -k "${SELECTOR}" \
  --ignore tests/test_dumpscript.py
# run this separately, see https://github.com/django-extensions/django-extensions/issues/1871
%pytest -v tests/test_dumpscript.py


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md CONTRIBUTING.md README.rst

%if %{with doc}
%files -n python%{python3_pkgversion}-%{srcname}-doc
%license LICENSE
%doc docs/_build/html/*
%endif


%changelog
## START: Generated by rpmautospec
* Sat Jun 28 2025 Michel Lind <salimma@fedoraproject.org> - 4.1-1
- Update to 4.1; Fixes: RHBZ#2358116

* Thu Jun 26 2025 Python Maint <python-maint@redhat.com> - 3.2.3-10
- Rebuilt for Python 3.14

* Fri Jan 31 2025 Miro Hrončok <miro@hroncok.cz> - 3.2.3-9
- Build with pytest 8
- Also, don't report test coverage
- Fixes: rhbz#2274104

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 3.2.3-7
- BuildRequire pytest < 8

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 3.2.3-5
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Michel Lind <salimma@fedoraproject.org> - 3.2.3-2
- Make tests pass on EL9

* Mon Jul 31 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.3-1
- Update to 3.2.3
- Remove commands that do not work on Python 3.12 (rhbz#2226178,
  rhbz#2220193)
- Use SPDX license identifier
- Run tests in verbose mode

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 3.2.1-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 12 2022 Kevin Fenzi <kevin@scrye.com> - 3.2.1-1
- Update to 3.2.1

* Sat Nov 12 2022 Lumir Balhar <lbalhar@redhat.com> - 3.2.0-2
- When building docs, buildrequire make

* Mon Aug 22 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 3.2.0-1
- update to 3.2.0 (RHBZ #2105715, #2098888 and #2046870)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.1.5-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.1.5-1
- Update to 3.1.5
- Adjust for latest packaging guidelines
- Opt in to rpmautospec

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.7.3-2
- Rebuild for Python 3.6

* Wed Aug 17 2016 Jan Beran <jberan@redhat.com> - 1.7.3-1
- update to version 1.7.3
- source update
- modernized specfile with Python 3 and doc packaging

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Richard Marko <rmarko@fedoraproject.org> - 1.3.7-1
- New version

* Thu Oct 24 2013 Richard Marko <rmarko@fedoraproject.org> - 1.2.5-1
- New version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 18 2013 Richard Marko <rmarko@fedoraproject.org> - 1.1.1-1
- New version

* Fri Feb 15 2013 Richard Marko <rmarko@fedoraproject.org> - 1.0.3-2
- Remove empty tests/urls.py file.

* Tue Jan 29 2013 Richard Marko <rmarko@fedoraproject.org> - 1.0.3-1
- Initial package.

## END: Generated by rpmautospec
